Support » Plugin: Raw HTML » Raw HTML not working with WordPress 5.4

  • altlehr

    (@altlehr)


    I have a website that got hacked and I am rebuilding locally with a back up running WordPress 4.1.29 but every time I update to WordPress 5.4 it crashes because of Raw HTML. I bought the pro version of Raw HTML but am not able to remove the current version of Raw HTML because it is being used on the site. Would you please be able to help me with this? Either provide a Raw HTML that works on WordPress 5.4 or let me know how to switch from Raw HTML to Pro Raw HTML.

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Janis Elsts

    (@whiteshadow)

    Can you elaborate on the comment that the site crashes because of Raw HTML? Is there an error message of some kind, and are you using the latest version of this plugin? I ask this because I’ve tested Raw HTML (the free version) with WP 5.4 and 5.5-alpha and I didn’t see any crashes. You’ll need the Classic Editor plugin to actually use the [raw] tags (they won’t properly work in Gutenberg, but even if that plugin is installed Raw HTML still shouldn’t crash.

    Also, what do you mean when you say that you can’t remove the plugin? What specifically happens when you try to deactivate and delete it?

    Thread Starter altlehr

    (@altlehr)

    Yeah of course. I am running Raw HTML version 1.6.2. I will update WordPress to WP 5.4 then update Raw HTML plugin. Once completed I will reload my site and it will come up with a “There has been a critical error on your website. Learn more about debugging in WordPress.” I checked and I have version 1.5 of the Classic Editor installed as well.

    When I got to deactivate the plugin it will either say “plug is in use” or I will deactivate it and it will say deactivated but will still be active. I checked I can not find any place the plugin is being used currently

    Thank you for your help

    Plugin Author Janis Elsts

    (@whiteshadow)

    You mentioned that you’re running version 1.6.2, and that you update it after updating WordPress. What plugin version are you updating to? Version 1.6.2 is the most recent release, so it seems it wouldn’t be necessary (or possible) to update it. Or are you running a different, older version and you’re updating to version 1.6.2 after updating WordPress? If so, have you tried updating Raw HTML before updating WordPress?

    Once completed I will reload my site and it will come up with a “There has been a critical error on your website. Learn more about debugging in WordPress.”

    When this happens you can usually find more information about the error in the PHP error log. Could you please check the log for recent fatal errors?

    When I got to deactivate the plugin it will either say “plug is in use” […]

    I must admit I’ve never seen a message like that. I also tried searching WordPress source code for “is in use” and it looks like the only place where WordPress uses that phrase is in some help text related to disabling themes in Multisite. Could it be that this error message was displayed by another plugin or theme?

    mikevendia

    (@mikevendia)

    Hi,

    Did you ever get this resolved?

    I have a client website that uses Raw HTML plugin and needs to been updated to WP 5.4.2.

    Has this plugin been updated yet to support the latest version of WP?

    Thank you.

    Plugin Author Janis Elsts

    (@whiteshadow)

    As far as I know, the current version of the plugin should work with WP 5.4.2 if you are using the Classic Editor. If you get an error when trying to activate Raw HTML, please check the PHP error log and let me know what the error was.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Raw HTML not working with WordPress 5.4’ is closed to new replies.